*
      PROGRAM TCL_SYGV1
*
*          PDSYGV1(GV3,GV5)
*
      include 'mpif.h'
*
*  
      INTEGER            N, NPROW, NPCOL, NB, MEMSIZE, IL, IU, IBTYPE
      DOUBLE PRECISION   VL, VU, ABSTOL
      PARAMETER          ( N=5, NB=2, MEMSIZE=5604)
*
      DOUBLE PRECISION   AMEM( MEMSIZE )
      CHARACTER*(*)      NAME, UPLO
      CHARACTER          INFILEA*(*), INFILEB*(*), OUTFILE*(*)
*      PARAMETER          ( INFILEA = 'sygv_50.dat',
      PARAMETER          ( INFILEA = 'sygvA_5.dat',
     $                     INFILEB = 'sygvB_5.dat',
     $                     OUTFILE = 'sygv1_5.res')
*      PARAMETER          ( INFILEA = 'sygv_50.dat',
*
      PARAMETER          ( UPLO = 'U',
     $                     NAME = 'PDSYGV1')
**     $                     NAME = 'PDSYGV3')
**     $                     NAME = 'PDSYGV5')
*
      EXTERNAL CAL_SYGV1
*
*  
*
      NPROW = 2
      NPCOL = 2
*
      VL = 0.D0
      VU = 0.D0
      IL = 0
      IU = 0
*
      IF( NAME .NE. 'PDSYGV3' ) GOTO 1
      VL = 0.5D0
      VU = 1.5D0
    1 IF( NAME .NE. 'PDSYGV5' ) GOTO 2
      IL = 2
      IU = 5
    2 ABSTOL = 10.0D-10
*
      IBTYPE = 1
*    
      CALL CAL_SYGV1(IBTYPE, NAME, UPLO, N, NPROW, NPCOL, AMEM,
     $               MEMSIZE, NB, VL, VU, IL, IU, ABSTOL,
     $               INFILEA, INFILEB, OUTFILE)
*
      STOP
      END
